<?php
/*
  $Id: abx_upgrade.sql.php,v 1.14 2007/06/23 01:31:52 auctionblox Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

$abxSQL = array (
  array(
    'target'    => '4.1',
    'SQL'       => 'ALTER TABLE '.TABLE_ABX_ITEMS.' ADD item_specifics MEDIUMTEXT NOT NULL AFTER listing_type;',
    'condition' => array(
      array(
        'table'  => TABLE_ABX_ITEMS,
        'column' => 'item_specifics'
      )
    )
  ),
  array(
    'target'    => '4.1',
    'SQL'       => 'ALTER TABLE '.TABLE_ABX_ITEMS.' ADD return_policy TEXT NOT NULL AFTER insurance;',
    'condition' => array(
      array(
        'table'  => TABLE_ABX_ITEMS,
        'column' => 'return_policy'
      )
    )
  ),
  array(
    'target'    => '4.2.0',
    'SQL'       => 'ALTER TABLE '.TABLE_ABX_BASKET.' ADD archived TINYINT( 1 ) NOT NULL DEFAULT 0 AFTER workflow_state_change_date;',
    'condition' => array(
      array(
        'table'  => TABLE_ABX_BASKET,
        'column' => 'archived'
      )
    )
  ),
  array(
    'target'    => '4.2.0',
    'SQL'       => 'ALTER TABLE '.TABLE_ABX_WINNERS.' ADD is_anonymous TINYINT( 1 ) NOT NULL DEFAULT 0 AFTER customers_id;',
    'condition' => array(
      array(
        'table'  => TABLE_ABX_WINNERS,
        'column' => 'is_anonymous'
      )
    )
  ),
  array(
    'target'    => '4.2.0',
    'SQL'       => "INSERT INTO ".TABLE_ABX_SITES." VALUES (1, 'NL', 'http://cgi.ebay.nl/ws/eBayISAPI.dll?ViewItem&item=%s');"
  ),
  array(
    'target'    => '4.2.0',
    'SQL'       => "INSERT INTO ".TABLE_ABX_SITES." VALUES (1, 'BNL', 'http://cgi.benl.ebay.be/ws/eBayISAPI.dll?ViewItem&item=%s');"
  ),
  array(
    'target'    => '4.2.0',
    'SQL'       => "INSERT INTO ".TABLE_ABX_SITES." VALUES (1, 'BFR', 'http://cgi.befr.ebay.be/ws/eBayISAPI.dll?ViewItem&item=%s');"
  ),
  array(
    'target'    => '4.2.0',
    'SQL'       => "INSERT INTO ".TABLE_ABX_SITES." VALUES (1, 'CH', 'http://cgi.ebay.ch/ws/eBayISAPI.dll?ViewItem&item=%s');"
  ),
  array(
    'target'    => '4.2.0',
    'SQL'       => "INSERT INTO ".TABLE_ABX_SITES." VALUES (1, 'ES', 'http://cgi.ebay.es/ws/eBayISAPI.dll?ViewItem&item=%s');"
  ),
  array(
    'target'    => '4.2.0',
    'SQL'       => "INSERT INTO ".TABLE_ABX_SITES." VALUES (1, 'AT', 'http://cgi.ebay.at/ws/eBayISAPI.dll?ViewItem&item=%s');"
  ),
  array(
    'target'    => '4.3.0',
    'SQL'       => "INSERT INTO ".TABLE_ABX_CONFIGURATION." VALUES (18, '', 'LAST_UPDATED_ORDERS_STATUS_HISTORY_ID', '0', '', 0, NULL, '2006-01-30 22:55:58', '0000-00-00 00:00:00', NULL, NULL);"
  ),
  array(
    'target'    => '4.3.0',
    'SQL'       => "CREATE TABLE ".TABLE_ABX_API_QUEUE." (id int(11) NOT NULL auto_increment, method varchar(64) NOT NULL default '', data longtext NOT NULL, status int(1) NOT NULL default '0', updated datetime default NULL, processed datetime default NULL, custom1 varchar(32) default NULL,  PRIMARY KEY  (id), KEY status (status), KEY custom1 (custom1), KEY method (method) );"
  ),
  array(
    'target'    => '4.3.3',
    'SQL'       => "DROP TABLE ".TABLE_ABX_API_QUEUE.";"
  ),
  array(
    'target'    => '4.3.3',
    'SQL'       => "CREATE TABLE ".TABLE_ABX_API_QUEUE." (id int(11) NOT NULL auto_increment, method varchar(64) NOT NULL default '', data longtext NOT NULL, status int(1) NOT NULL default '0', retries int(1) NOT NULL default '0', updated datetime default NULL, created datetime default NULL, return_code mediumtext NOT NULL, custom1 varchar(32) default NULL, PRIMARY KEY  (id), KEY custom1 (custom1), KEY method (method), KEY status (status,retries));"
  ),
    
  array(
    'target'    => '4.3.4',
    'SQL'       => 		"CREATE TABLE abx_macros_custom ( " .
    									" products_id INT( 11 ) NOT NULL , " .
 											" custom1 VARCHAR( 255 ) NOT NULL , " .
											" custom2 VARCHAR( 255 ) NOT NULL , " .
											" custom3 VARCHAR( 255 ) NOT NULL , " .
											" custom4 VARCHAR( 255 ) NOT NULL , " .
											" custom5 VARCHAR( 255 ) NOT NULL , " .
											" custom6 VARCHAR( 255 ) NOT NULL , " .
											" custom7 VARCHAR( 255 ) NOT NULL , " .
											" custom8 VARCHAR( 255 ) NOT NULL , " .
											" custom9 VARCHAR( 255 ) NOT NULL , " .
											" custom10 VARCHAR( 255 ) NOT NULL , " .
											" PRIMARY KEY ( products_id ) " .
											") TYPE = MYISAM ;"
  ),  
  
  array(
    'target'    => '4.3.4',
    'SQL'       => "ALTER TABLE abx_basket " .
										" ADD payment_provider VARCHAR( 32 ), " .
										" ADD payment_transaction_id VARCHAR( 32 ), " .
										" ADD payment_timestamp DATETIME, " .
										" ADD payment_currency VARCHAR( 3 ), " .
										" ADD payment_amount DECIMAL( 11, 4 ), " .
										" ADD payment_fee DECIMAL( 11, 4 );"
  ),  
  
  array(
    'target'    => '4.4.1',
    'SQL'       => "CREATE TABLE abx_products_extra_info (" .
                   " products_id int(11) NOT NULL default '0'," .
                   " exclude_auction char(3) NOT NULL default '', " .
                   " exclude_fixed char(3) NOT NULL default '', " .
                   " exclude_store char(3) NOT NULL default '', " .
                   " custom1 varchar(255) NOT NULL default ''," .
                   " custom2 varchar(255) NOT NULL default ''," .
                   " custom3 varchar(255) NOT NULL default ''," .
                   " custom4 varchar(255) NOT NULL default ''," .
                   " custom5 varchar(255) NOT NULL default ''," .
                   " custom6 varchar(255) NOT NULL default ''," .
                   " custom7 varchar(255) NOT NULL default ''," .
                   " custom8 varchar(255) NOT NULL default ''," .
                   " custom9 varchar(255) NOT NULL default ''," .
                   " custom10 varchar(255) NOT NULL default ''," .
                   " PRIMARY KEY  (products_id)," .
                   " KEY exclude_auction (exclude_auction)," .
                   " KEY exclude_fixed (exclude_fixed)," .
                   " KEY exclude_store (exclude_store)" .
                   ") TYPE=MyISAM;"
  ),  
);
?>