<?php
// /catalog/includes/languages/english/header_tags.php
// WebMakers.com Added: Header Tags Generator v2.5.2
// Add META TAGS and Modify TITLE
//
// DEFINITIONS FOR /includes/languages/english/header_tags.php

// For all pages not defined or left blank, and for products not defined
// These are included unless you set the toggle switch in each section below to OFF ( '0' )
// The HEAD_TITLE_TAG_ALL is included AFTER the specific one for the page
// The HEAD_DESC_TAG_ALL is included AFTER the specific one for the page
// The HEAD_KEY_TAG_ALL is included AFTER the specific one for the page
define('HEAD_TITLE_TAG_ALL','Autoload Demo Store');
define('HEAD_DESC_TAG_ALL','New Store : Competitive in our business');
define('HEAD_KEY_TAG_ALL','new store, new business, new website, website, websites, web site, seb sites');

// DEFINE TAGS FOR INDIVIDUAL PAGES
// all_products.php
define('HTTA_ALL_PRODUCTS_ON','1');
define('HTDA_ALL_PRODUCTS_ON','1');
define('HTKA_ALL_PRODUCTS_ON','1');
define('HEAD_TITLE_TAG_ALL_PRODUCTS','All of our products');
define('HEAD_DESC_TAG_ALL_PRODUCTS','Everything in our store');
define('HEAD_KEY_TAG_ALL_PRODUCTS','all products');

// index.php
define('HTTA_DEFAULT_ON','0'); // Include HEAD_TITLE_TAG_ALL in Title
define('HTKA_DEFAULT_ON','0'); // Include HEAD_KEY_TAG_ALL in Keywords
define('HTDA_DEFAULT_ON','0'); // Include HEAD_DESC_TAG_ALL in Description
define('HTTA_CAT_DEFAULT_ON', '1'); //Include HEADER_TITLE_DEFAULT in CATEGORY DISPLAY
define('HEAD_TITLE_TAG_DEFAULT', 'Autoload Demo Store');
define('HEAD_DESC_TAG_DEFAULT','New Store : Competitive in our business');
define('HEAD_KEY_TAG_DEFAULT','new store, new business, new website, website, websites, web site, seb sites');

// product_info.php - if left blank in products_description table these values will be used
define('HTTA_PRODUCT_INFO_ON','1');
define('HTKA_PRODUCT_INFO_ON','1');
define('HTDA_PRODUCT_INFO_ON','1');
define('HTTA_CAT_PRODUCT_DEFAULT_ON', '1');
define('HEAD_TITLE_TAG_PRODUCT_INFO','Product Information');
define('HEAD_DESC_TAG_PRODUCT_INFO','Detailed information and specifications');
define('HEAD_KEY_TAG_PRODUCT_INFO','specs, specifications, details');

// products_new.php - whats_new
define('HTTA_WHATS_NEW_ON','1');
define('HTKA_WHATS_NEW_ON','1');
define('HTDA_WHATS_NEW_ON','1');
define('HEAD_TITLE_TAG_WHATS_NEW','New Products');
define('HEAD_DESC_TAG_WHATS_NEW','Our latest products');
define('HEAD_KEY_TAG_WHATS_NEW','new products, recent additions');

// specials.php
// If HEAD_KEY_TAG_SPECIALS is left blank, it will build the keywords from the products_names of all products on special
define('HTTA_SPECIALS_ON','1');
define('HTKA_SPECIALS_ON','1');
define('HTDA_SPECIALS_ON','1');
define('HEAD_TITLE_TAG_SPECIALS','Specials');
define('HEAD_DESC_TAG_SPECIALS','Things on sale');
define('HEAD_KEY_TAG_SPECIALS','sale,discount,special,reduced cost, closeout, clearance');

// product_reviews_info.php and product_reviews.php - if left blank in products_description table these values will be used
define('HTTA_PRODUCT_REVIEWS_INFO_ON','1');
define('HTKA_PRODUCT_REVIEWS_INFO_ON','1');
define('HTDA_PRODUCT_REVIEWS_INFO_ON','1');
define('HEAD_TITLE_TAG_PRODUCT_REVIEWS_INFO','Product Reviews');
define('HEAD_DESC_TAG_PRODUCT_REVIEWS_INFO','Read and write reviews about our products');
define('HEAD_KEY_TAG_PRODUCT_REVIEWS_INFO','product reviews, review products, reviews, product opinions, opinion');

?>