<?php
/*
  $Id: abxSchedule.php,v 1.3 2006/10/02 03:06:48 auctionblox Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  class abxSchedule {

    // constructor
    function abxSchedule() {}

    function exists($scheduleInfo)
    {
      global $abxDatabase;

      $id = $abxDatabase->fetch_value('uuid', TABLE_ABX_SCHEDULE_INFO, "uuid = '".addslashes($scheduleInfo['uuid'])."'");

      return !empty($id);
    }

    function insert($scheduleInfo)
    {
      global $abxDatabase;

      return $abxDatabase->insert(TABLE_ABX_SCHEDULE_INFO, $scheduleInfo);
    }

    function updateByUuid($scheduleInfo)
    {
      global $abxDatabase;

      return $abxDatabase->update(TABLE_ABX_SCHEDULE_INFO, $scheduleInfo, "uuid = '".addslashes($scheduleInfo['uuid'])."'");
    }

    function save($scheduleInfo)
    {
    	if($scheduleInfo['trigger_state'] == 'COMPLETE')
    	{
    		$this->removeSchedule($scheduleInfo);
    	}
    	else
    	{
	      if($this->exists($scheduleInfo) === true)
	        return $this->updateByUuid($scheduleInfo);
	      else
	        return $this->insert($scheduleInfo);
	    }
    }
    
    function removeSchedule($scheduleInfo)
    {
      global $abxDatabase;

      $abxDatabase->delete(TABLE_ABX_SCHEDULE_INFO, "uuid = '".addslashes($scheduleInfo['uuid'])."'");
      $abxDatabase->delete(TABLE_ABX_LISTINGS, "uuid = '".addslashes($scheduleInfo['uuid'])."'");
    }

}//end class
?>